=== debian/changelog ===
linux (3.2.68-1+deb7u6~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze:
    - Use gcc-4.4 for all architectures
    - Disable building of udebs
    - Change ABI number to 0.bpo.4
    - Monkey-patch Python collections module to add OrderedDict if necessary
    - [armel] Disable CRYPTO_FIPS, VGA_ARB, FTRACE on iop32x and ixp4xx to
      reduce kernel size (as suggested by Arnaud Patard)
    - Use QUILT_PATCH_OPTS instead of missing quilt patch --fuzz option
    - Make build target depend on build-arch only, so we don't redundantly
      build documentation on each architecture

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 11 Nov 2015 01:20:48 +0000

linux (3.2.68-1+deb7u6) wheezy-security; urgency=medium

  [ Salvatore Bonaccorso ]
  * KEYS: Fix race between key destruction and finding a keyring by name
  * KEYS: Fix crash when attempt to garbage collect an uninstantiated keyring
    (CVE-2015-7872)
  * KEYS: Don't permit request_key() to construct a new keyring

  [ Ben Hutchings ]
  * usbvision: fix overflow of interfaces array (CVE-2015-7833)
  * RDS: fix race condition when sending a message on unbound socket
    (CVE-2015-7990)
  * [x86] KVM: Intercept #AC to avoid guest->host denial-of-service
    (CVE-2015-5307)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 09 Nov 2015 12:25:06 +0000

linux (3.2.68-1+deb7u5) wheezy-security; urgency=medium

  * USB: whiteheat: fix potential null-deref at probe (CVE-2015-5257)
  * ipc/sem.c: fully initialize sem_array before making it visible
  * ipc: Initialize msg/shm IPC objects before doing ipc_addid()
    (CVE-2015-7613)
  * vfs: Fix possible escape from mount namespace or chroot (CVE-2015-2925):
    - dcache: Handle escaped paths in prepend_path
    - vfs: Test for and handle paths that are unreachable from their mnt_root

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 09 Oct 2015 23:24:39 +0100

linux (3.2.68-1+deb7u4~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze:
    - Use gcc-4.4 for all architectures
    - Disable building of udebs
    - Change ABI number to 0.bpo.4
    - Monkey-patch Python collections module to add OrderedDict if necessary
    - [armel] Disable CRYPTO_FIPS, VGA_ARB, FTRACE on iop32x and ixp4xx to
      reduce kernel size (as suggested by Arnaud Patard)
    - Use QUILT_PATCH_OPTS instead of missing quilt patch --fuzz option
    - Make build target depend on build-arch only, so we don't redundantly
      build documentation on each architecture

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 22 Sep 2015 15:58:05 +0200

linux (3.2.68-1+deb7u4) wheezy-security; urgency=medium

  * ipv6: addrconf: validate new MTU before applying it (CVE-2015-0272)
  * virtio-net: drop NETIF_F_FRAGLIST (CVE-2015-5156)
  * vhost: actually track log eventfd file (CVE-2015-6252)
  * RDS: verify the underlying transport exists before creating a connection
    (CVE-2015-6937)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 19 Sep 2015 13:22:14 +0200

linux (3.2.68-1+deb7u3~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze:
    - Use gcc-4.4 for all architectures
    - Disable building of udebs
    - Change ABI number to 0.bpo.4
    - Monkey-patch Python collections module to add OrderedDict if necessary
    - [armel] Disable CRYPTO_FIPS, VGA_ARB, FTRACE on iop32x and ixp4xx to
      reduce kernel size (as suggested by Arnaud Patard)
    - Use QUILT_PATCH_OPTS instead of missing quilt patch --fuzz option
    - Make build target depend on build-arch only, so we don't redundantly
      build documentation on each architecture

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 08 Aug 2015 20:16:12 +0200

linux (3.2.68-1+deb7u3) wheezy-security; urgency=medium

  * udp: fix behavior of wrong checksums (CVE-2015-5364, CVE-2015-5366)
  * sctp: fix ASCONF list handling (CVE-2015-3212)
  * [x86] bpf_jit: fix compilation of large bpf programs (CVE-2015-4700)
  * sg_start_req(): make sure that there's not too many elements in iovec
    (CVE-2015-5707)
  * md: use kzalloc() when bitmap is disabled (CVE-2015-5697)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 04 Aug 2015 02:41:28 +0100

linux (3.2.68-1+deb7u2~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze:
    - Use gcc-4.4 for all architectures
    - Disable building of udebs
    - Change ABI number to 0.bpo.4
    - Monkey-patch Python collections module to add OrderedDict if necessary
    - [armel] Disable CRYPTO_FIPS, VGA_ARB, FTRACE on iop32x and ixp4xx to
      reduce kernel size (as suggested by Arnaud Patard)
    - Use QUILT_PATCH_OPTS instead of missing quilt patch --fuzz option
    - Make build target depend on build-arch only, so we don't redundantly
      build documentation on each architecture

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 17 Jun 2015 00:35:41 +0100

linux (3.2.68-1+deb7u2) wheezy-security; urgency=high

  * pipe: iovec: Fix memory corruption when retrying atomic copy as non-atomic
    (CVE-2015-1805)
  * udf: Remove repeated loads blocksize
  * udf: Check length of extended attributes and allocation descriptors
    (CVE-2015-4167)
  * ipv4: Missing sk_nulls_node_init() in ping_unhash(). (CVE-2015-3636)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 15 Jun 2015 09:52:46 +0100

linux (3.2.68-1+deb7u1~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze:
    - Use gcc-4.4 for all architectures
    - Disable building of udebs
    - Change ABI number to 0.bpo.4
    - Monkey-patch Python collections module to add OrderedDict if necessary
    - [armel] Disable CRYPTO_FIPS, VGA_ARB, FTRACE on iop32x and ixp4xx to
      reduce kernel size (as suggested by Arnaud Patard)
    - Use QUILT_PATCH_OPTS instead of missing quilt patch --fuzz option
    - Make build target depend on build-arch only, so we don't redundantly
      build documentation on each architecture

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 27 Apr 2015 18:07:48 +0100

linux (3.2.68-1+deb7u1) wheezy-security; urgency=high


