=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.2
Build-Depends: debhelper (>> 7), cpio, kmod | module-init-tools, python (>= 2.6.6-3~), lzma [armel], quilt, patchutils, gcc-4.4 [alpha amd64 armel armhf hppa i386 ia64 mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64], binutils-hppa64 [hppa], gcc-4.4-hppa64 [hppa], gcc-4.6 [m68k]
Build-Depends-Indep: bzip2, xmlto
Vcs-Svn: svn://svn.debian.org/svn/kernel/dists/trunk/linux/
Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux/

Package: linux-source-3.2
Architecture: all
Section: kernel
Provides: linux-source
Depends: binutils, bzip2, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.2 with Debian patches
 This package provides source code for the Linux kernel version 3.2. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-doc-3.2
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.2
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.2.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.2/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-manual-3.2
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.2
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-support-3.2.0-0.bpo.4
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}
Description: Support files for Linux 3.2
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-libc-dev
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: ${linux:Multi-Arch}

Package: linux-headers-3.2.0-0.bpo.4-all
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Depends: linux-headers-3.2.0-0.bpo.4-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.2.0-0.bpo.4-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-3.2.0-0.bpo.4-alpha-generic (= ${binary:Version}), linux-headers-3.2.0-0.bpo.4-alpha-smp (= ${binary:Version}), linux-headers-3.2.0-0.bpo.4-alpha-legacy (= ${binary:Version})
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.2.0-0.bpo.4-common
Architecture: alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc sparc64
Depends: ${misc:Depends}
Description: Common header files for Linux 3.2.0-0.bpo.4
 This package provides the architecture-specific common kernel header files
 for Linux kernel version 3.2.0-0.bpo.4, generally used for building
 out-of-tree kernel modules.  To obtain a complete set of headers you also
 need to install the linux-headers-3.2.0-0.bpo.4-(flavour) package,
 matching the flavour of the kernel you intend the build for.

Package: linux-image-3.2.0-0.bpo.4-alpha-generic
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-0.bpo.4-alpha-generic
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha
 The Linux kernel 3.2 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.2.0-0.bpo.4-alpha-generic
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-0.bpo.4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.4
Description: Header files for Linux 3.2.0-0.bpo.4-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-0.bpo.4-alpha-generic, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-0.bpo.4-alpha-generic, and can be used for
 building modules that load into the kernel provided by the
 linux-image-3.2.0-0.bpo.4-alpha-generic package.

Package: linux-image-3.2.0-0.bpo.4-alpha-smp
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-0.bpo.4-alpha-smp
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha SMP
 The Linux kernel 3.2 and modules for use on DEC Alpha SMP systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-headers-3.2.0-0.bpo.4-alpha-smp
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-0.bpo.4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.4
Description: Header files for Linux 3.2.0-0.bpo.4-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-0.bpo.4-alpha-smp, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-0.bpo.4-alpha-smp, and can be used for
 building modules that load into the kernel provided by the
 linux-image-3.2.0-0.bpo.4-alpha-smp package.

Package: linux-image-3.2.0-0.bpo.4-alpha-legacy
Architecture: alpha
Provides: linux-image, linux-modules-3.2.0-0.bpo.4-alpha-legacy
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free (>= 3~)
Suggests: linux-doc-3.2, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for Alpha Legacy
 The Linux kernel 3.2 and modules for use on DEC Alpha systems with legacy
 kernel start address.

Package: linux-headers-3.2.0-0.bpo.4-alpha-legacy
Architecture: alpha
Provides: linux-headers
Depends: linux-headers-3.2.0-0.bpo.4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.4
Description: Header files for Linux 3.2.0-0.bpo.4-alpha-legacy
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-0.bpo.4-alpha-legacy, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-0.bpo.4-alpha-legacy, and can be used for
 building modules that load into the kernel provided by the
 linux-image-3.2.0-0.bpo.4-alpha-legacy package.

Package: linux-headers-3.2.0-0.bpo.4-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-3.2.0-0.bpo.4-amd64 (= ${binary:Version}), linux-headers-3.2.0-0.bpo.4-rt-amd64 (= ${binary:Version})
Description: All header files for Linux 3.2 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.2, generally used for building out-of-tree
 kernel modules.

Package: linux-image-3.2.0-0.bpo.4-amd64
Architecture: amd64 i386
Provides: linux-image, linux-modules-3.2.0-0.bpo.4-amd64
Pre-Depends: debconf | debconf-2.0
Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [amd64 i386] | linux-initramfs-tool [amd64 i386]
Recommends: firmware-linux-free (>= 3~), libc6-i686 [i386]
Suggests: linux-doc-3.2, debian-kernel-handbook, grub-pc [amd64 i386] | extlinux [amd64 i386] | lilo [amd64 i386]
Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
Description: Linux 3.2 for 64-bit PCs
 The Linux kernel 3.2 and modules for use on PCs with AMD64, Intel 64 or
 VIA Nano processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.

Package: linux-headers-3.2.0-0.bpo.4-amd64
Architecture: amd64 i386
Provides: linux-headers
Depends: linux-headers-3.2.0-0.bpo.4-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.4
Description: Header files for Linux 3.2.0-0.bpo.4-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 3.2.0-0.bpo.4-amd64, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-3.2.0-0.bpo.4-amd64, and can be used for building
 modules that load into the kernel provided by the
 linux-image-3.2.0-0.bpo.4-amd64 package.

Package: linux-image-3.2.0-0.bpo.4-amd64-dbg
Architecture: amd64
Section: debug
Priority: extra
Depends: linux-image-3.2.0-0.bpo.4-amd64, ${misc:Depends}
Description: Debugging symbols for Linux 3.2.0-0.bpo.4-amd64
 This package provides the detached debugging symbols for the Linux kernel
 and modules in linux-image-3.2.0-0.bpo.4-amd64.

Package: xen-linux-system-3.2.0-0.bpo.4-amd64
Architecture: amd64 i386
Depends: linux-image-3.2.0-0.bpo.4-amd64 (= ${binary:Version}), ${misc:Depends}, xen-system-amd64
Description: Xen system with Linux 3.2 on 64-bit PCs (meta-package)
 This package depends on the binary Linux image and hypervisors.

Package: linux-headers-3.2.0-0.bpo.4-common-rt
Architecture: amd64 i386
Depends: ${misc:Depends}
Description: Common header files for Linux 3.2.0-0.bpo.4-rt
 This package provides the architecture-specific common kernel header files
 for Linux kernel version 3.2.0-0.bpo.4-rt, generally used for building
 out-of-tree kernel modules.  To obtain a complete set of headers you also
 need to install the linux-headers-3.2.0-0.bpo.4-(flavour) package,
 matching the flavour of the kernel you intend the build for.

Package: linux-image-3.2.0-0.bpo.4-rt-amd64
